> ## Documentation Index
> Fetch the complete documentation index at: https://developer.utgl.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Quote

> Convert from one fungible asset to another and settle transactions without ever taking assets out of custody.



## OpenAPI

````yaml /issuing/api-reference/openapi.yaml post /conversions/quote
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
servers:
  - url: https://access.utgl.io/v1
  - url: https://sandbox.access.utgl.io/v1
security:
  - Basic: []
  - Bearer: []
tags:
  - name: Accounts
  - name: Transactions
  - name: Card Accounts
  - name: Card Products
  - name: Cards
  - name: Digital Custody
  - name: Fee
  - name: Payout
paths:
  /conversions/quote:
    post:
      tags:
        - Conversions
      summary: Get a Quote
      description: >-
        Convert from one fungible asset to another and settle transactions
        without ever taking assets out of custody.
      operationId: getConversionQuote
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - accountId
                - asset
                - amount
                - side
              properties:
                pair:
                  type: string
                  description: Symbol of the pair to trade
                  example: USDC/HKD
                amount:
                  type: number
                  description: Amount of asset to trading
                side:
                  type: string
                  description: Side of trade, buying, or selling the base currency
                  enum:
                    - buy
                    - sell
                accountId:
                  type: string
                  format: uuid
                  example: 6a3176fe-7715-4fe0-a548-034912d7f800
                  description: Account ID
                idempotencyKey:
                  $ref: '#/components/schemas/IdempotencyKey'
                xid:
                  $ref: '#/components/schemas/Xid'
                xmetadata:
                  $ref: '#/components/schemas/Xmetadata'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  quoteId:
                    type: string
                    description: Quote ID
                  baseCurrency:
                    type: string
                    description: Base currency
                  baseAmount:
                    type: number
                    description: Amount of base currency
                  quoteCurrency:
                    type: string
                    description: Quote currency
                  quoteAmount:
                    type: number
                    description: Amount of quote currency
                  rate:
                    type: number
                    description: Rate of conversion
                  expiresAt:
                    type: string
                    format: date-time
                    description: Expiration time of the quote
components:
  schemas:
    IdempotencyKey:
      type: string
      description: >-
        Unique idempotency key for ensuring exactly-once execution of mutating
        requests.
      format: string
      example: xeev1she5eegh9daiviethahchoo1muW
    Xid:
      type: string
      description: >-
        External identifier, unique across all resources created under this
        account.
    Xmetadata:
      type: object
      description: External metadata
      example:
        key1: value1
        key2:
          - value2.1
          - value2.2
      additionalProperties: true
      oneOf:
        - type: string
        - type: array
          items:
            type: string
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````